# $Revision: 1.38 $, $Date: 2008/07/31 17:39:49 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		bver	rc1
%define		rel	1
Summary:	An open-source, patent-free speech codec
Summary(pl.UTF-8):	Otwarty kodek mowy, wolny od patentów
Name:		speex
Version:	1.2
Release:	%{bver}.%{rel}
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/speex/%{name}-%{version}%{bver}.tar.gz
# Source0-md5:	c4438b22c08e5811ff10e2b06ee9b9ae
URL:		http://www.speex.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libogg-devel
BuildRequires:	libtool
Obsoletes:	Speex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Speex is a patent-free audio codec designed especially for voice
(unlike Vorbis which targets general audio) signals and providing good
narrowband and wideband quality. This project aims to be complementary
to the Vorbis codec.

%description -l pl.UTF-8
Speex jest wolnym od patentów kodekiem audio zaprojektowanym dla
kompresji mowy (w odróżnieniu od Vorbisa, który jest ogólnego
przeznaczenia). Zapewnia dobrą jakość nawet przy niskim paśmie.
Projekt chciałby być dodatkiem do kodeka Vorbis.

%package devel
Summary:	Speex library - development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki Speex
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	Speex-devel

%description devel
Speex library - development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających biblioteki Speex.

%package static
Summary:	Speex static library
Summary(pl.UTF-8):	Biblioteka statyczna Speex
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	Speex-static

%description static
Speex static library.

%description static -l pl.UTF-8
Biblioteka statyczna Speex.

%package progs
Summary:	speexdec and speexenc utilities
Summary(pl.UTF-8):	Narzędzia speexdec i speexenc
Group:		Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	Speex-progs

%description progs
Utilities for the Speex codec: speexdec (decodes a Speex file and
produces a WAV or raw file) and speexenc (encodes file from WAV or
raw format using Speex).

%description progs -l pl.UTF-8
Narzędzia do kodeka Speex: speexdec (dekodujące plik Speex i tworzące
plik WAV lub raw) oraz speexenc (kodujący plik z formatu WAV lub raw
przy użyciu kodeka Speex).

%prep
%setup -q -n %{name}-%{version}%{bver}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-ogg-libraries=%{_libdir} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/manual.pdf
%attr(755,root,root) %{_libdir}/libspeex.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspeex.so.1
%attr(755,root,root) %{_libdir}/libspeexdsp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspeexdsp.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspeex.so
%attr(755,root,root) %{_libdir}/libspeexdsp.so
%{_libdir}/libspeex.la
%{_libdir}/libspeexdsp.la
%{_includedir}/speex
%{_aclocaldir}/speex.m4
%{_pkgconfigdir}/speex.pc
%{_pkgconfigdir}/speexdsp.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspeex.a
%{_libdir}/libspeexdsp.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/speexdec
%attr(755,root,root) %{_bindir}/speexenc
%{_mandir}/man1/speexdec.1*
%{_mandir}/man1/speexenc.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: speex.spec,v $
Revision 1.38  2008/07/31 17:39:49  qboosh
- updated to 1.2rc1

Revision 1.37  2008/05/10 17:44:29  qboosh
- up to 1.2beta3.2

Revision 1.36  2008-01-06 22:43:51  qboosh
- updated to 1.2beta3
- package new libspeexdsp library

Revision 1.35  2007-12-30 22:56:39  glen
- rel 3

Revision 1.34  2007-06-12 17:08:27  qboosh
- updated to 1.2beta2

Revision 1.33  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.31  2006/12/28 12:37:07  megabajt
- release 2

Revision 1.30  2006/09/06 10:08:20  charles
- updated to 1.2beta1
- without static_libs bcond

Revision 1.29  2006/02/19 14:21:00  qboosh
- updated to 1.1.12

Revision 1.28  2005/12/03 18:54:28  qboosh
- updated to 1.1.11.1

Revision 1.27  2005/11/26 23:36:24  qboosh
- updated to 1.1.11

Revision 1.26  2005/07/02 09:52:32  qboosh
- updated to 1.1.10, new Source0 URL

Revision 1.25  2005/06/03 12:36:54  charles
- updated to 1.1.9

Revision 1.24  2005/05/25 12:34:01  pluto
- release 2 for Th.

Revision 1.23  2005/05/18 21:36:24  qboosh
- updated to 1.1.8

Revision 1.22  2005/04/13 18:28:38  djurban
- forgot to rever this, i have fixed it in kdemultimedia by adding CFLAGS with -I/usr/include/speex

Revision 1.21  2005/04/09 16:00:47  djurban
- rel. 2, fixed pkgconfig include path which broke kdemultimedia/akode

Revision 1.20  2005/03/03 11:49:17  charles
- updated to 1.1.7
- rm {am18,pc}.patch

Revision 1.19  2004/10/31 16:25:47  paladine
- spaces->tabs
- formatting

Revision 1.18  2004/07/24 20:41:17  qboosh
- updated to 1.1.6, added am18,pc patches
- headers are located in /usr/include/speex now

Revision 1.17  2004/07/05 00:05:22  pluto
- updated to 1.1.5 (API and ABI are now comaptible with 1.0.x).

Revision 1.16  2004/04/04 17:51:09  aflinta
- moved version 1.1.4 to DEVEL branch
- up to version 1.0.3
- added epoch for easy upgrade in Ac (from unstable 1.1.x)
- removed manual.pdf from devel subpackage (it is alredy in main package)
- STBR :)

Revision 1.15  2004/01/27 23:08:21  qboosh
- updated to 1.1.4

Revision 1.14  2003/12/29 18:56:16  undefine
- use path to ogg to allow find it on amd64

Revision 1.13  2003/12/03 18:18:08  qboosh
- updated to 1.1.3

Revision 1.12  2003/11/11 17:55:39  qboosh
- updated to 1.1.2

Revision 1.11  2003/10/23 17:10:48  qboosh
- updated to 1.1.1

Revision 1.10  2003/10/09 08:00:12  qboosh
- cleanup

Revision 1.9  2003/10/08 19:21:14  qboosh
- updated to 1.1

Revision 1.8  2003/10/02 18:58:32  grzegol
- updated to 1.0.2

Revision 1.7  2003/06/12 15:24:42  migo
- version 1.0.1 (bugfixes, one major bug)

Revision 1.6  2003/05/28 13:02:01  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/25 12:46:09  kloczek
- cosmetics.

Revision 1.3  2003/04/18 22:46:21  qboosh
- updated License, added COPYING (it's BSD now)
- moved programming manual to -devel

Revision 1.2  2003/03/24 11:15:04  aflinta
- more obsoletes

Revision 1.1  2003/03/24 11:10:10  aflinta
- renamed form Speex, updated to version 1.0

Revision 1.9  2003/03/06 14:05:33  aflinta
- updated to version 1.0rc3

Revision 1.8  2003/01/30 21:22:59  aflinta
- updated to version 1.0rc2

Revision 1.7  2003/01/30 17:40:51  qboosh
- updated to 1.0beta3
- separated -progs because of additional dependency

Revision 1.6  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.5  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/10/10 11:44:41  qboosh
- fixed -devel and -static descriptions; release 2

Revision 1.3  2002/09/29 15:59:47  kloczek
- addes static subpackage and remove libtool from BuildRequires.

Revision 1.2  2002/09/26 18:29:53  wolf
- pl desc&summary

Revision 1.1  2002/09/26 12:56:14  blues
- initial release
